net.minecraft.client.resources

## Class AbstractResourcePack

- java.lang.Object
- - net.minecraft.client.resources.AbstractResourcePack

- All Implemented Interfaces:
    ResourcePack
  Direct Known Subclasses:
    FileResourcePack, FolderResourcePack

      public abstract class AbstractResourcePack
      extends Object
      implements ResourcePack

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractResourcePack(File par1File)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getInputStream(ResourceLocation par1ResourceLocation)`
    `BufferedImage` | `getPackImage()`
    `MetadataSection` | `getPackMetadata(MetadataSerializer par1MetadataSerializer, String par2Str)`
    `String` | `getPackName()`
    `boolean` | `resourceExists(ResourceLocation par1ResourceLocation)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.client.resources.ResourcePack

      `getResourceDomains`

- - ### Constructor Detail

    - #### AbstractResourcePack

          public AbstractResourcePack(File par1File)

  - ### Method Detail

    - #### getInputStream

          public InputStream getInputStream(ResourceLocation par1ResourceLocation)
                                     throws IOException

      Specified by:
        `getInputStream` in interface `ResourcePack`
      Throws:
        `IOException`

    - #### resourceExists

          public boolean resourceExists(ResourceLocation par1ResourceLocation)

      Specified by:
        `resourceExists` in interface `ResourcePack`

    - #### getPackMetadata

          public MetadataSection getPackMetadata(MetadataSerializer par1MetadataSerializer,
                                        String par2Str)
                                          throws IOException

      Specified by:
        `getPackMetadata` in interface `ResourcePack`
      Throws:
        `IOException`

    - #### getPackImage

          public BufferedImage getPackImage()
                                     throws IOException

      Specified by:
        `getPackImage` in interface `ResourcePack`
      Throws:
        `IOException`

    - #### getPackName

          public String getPackName()

      Specified by:
        `getPackName` in interface `ResourcePack`